> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Access Entitlements

> Remove visibility bindings (access entitlements) from a catalog.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/catalogs/{catalog_id}/visibility_bindings
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/catalogs/{catalog_id}/visibility_bindings:
    delete:
      tags:
        - Request Catalog
      summary: Remove Access Entitlements
      description: Remove visibility bindings (access entitlements) from a catalog.
      operationId: >-
        c1.api.requestcatalog.v1.RequestCatalogManagementService.RemoveAccessEntitlements
      parameters:
        - in: path
          name: catalog_id
          required: true
          schema:
            description: The catalogId for the catalog to remove access entitlements from.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.requestcatalog.v1.RequestCatalogManagementServiceRemoveAccessEntitlementsRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.requestcatalog.v1.RequestCatalogManagementServiceRemoveAccessEntitlementsResponse
          description: Empty response with a status code indicating success.
      x-codeSamples:
        - lang: go
          label: RemoveAccessEntitlements
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RequestCatalogManagement.RemoveAccessEntitlements(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceRemoveAccessEntitlementsRequest{\n        CatalogID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.RequestCatalogManagementServiceRemoveAccessEntitlementsResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.requestCatalogManagement.removeAccessEntitlements({
                catalogId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.requestcatalog.v1.RequestCatalogManagementServiceRemoveAccessEntitlementsRequestInput:
      description: >-
        The RequestCatalogManagementServiceRemoveAccessEntitlementsRequest
        message is used to remove access entitlements from a request catalog.
         The access entitlements are used to determine which users can view the request catalog.
      properties:
        accessEntitlements:
          description: The list of access entitlements to remove from the catalog.
          items:
            $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
          nullable: true
          readOnly: false
          type: array
      title: Request Catalog Management Service Remove Access Entitlements Request
      type: object
      x-speakeasy-entity: Access_Profile_Visibility_Bindings
      x-speakeasy-name-override: RequestCatalogManagementServiceRemoveAccessEntitlementsRequest
    c1.api.requestcatalog.v1.RequestCatalogManagementServiceRemoveAccessEntitlementsResponse:
      description: Empty response with a status code indicating success.
      title: Request Catalog Management Service Remove Access Entitlements Response
      type: object
      x-speakeasy-name-override: RequestCatalogManagementServiceRemoveAccessEntitlementsResponse
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````